* Create an object and set some properties.

oObject = createobject('Test')
oObject.nTest = 5
dimension oObject.aTest[3]
oObject.aTest[1] = 'test1'
oObject.aTest[2] = 'test2'
oObject.aTest[3] = 'test3'

* Create the code to restore the object's properties, then release the object.

lcPersist = Persist(oObject)
release oObject

* Create another instance of the same class, then restore the properties.

oObject = createobject('Test')
with oObject
	execscript(lcPersist)
endwith

* Display the properties of the second instance to show they were restored from
* the saved values of the first.

clear
? 'Code to restore properties:'
? lcPersist
?
?
? oObject.nTest
for lnI = 1 to alen(oObject.aTest)
	? oObject.aTest[lnI]
next lnI

define class Test as custom
	dimension aTest[1]
	cTest = ''
	nTest = 0
enddefine
